public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/toxic/
Date: Mon, 12 Nov 2018 23:00:41 +0000 (UTC)	[thread overview]
Message-ID: <1542063627.ddbfa787104b8565ec2ee3050ca2dbe972c626d9.asturm@gentoo> (raw)

commit:     ddbfa787104b8565ec2ee3050ca2dbe972c626d9
Author:     Josiah Mullins <jomull01 <AT> protonmail <DOT> com>
AuthorDate: Sat Nov 10 02:12:22 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Nov 12 23:00:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddbfa787

net-im/toxic: bump to version 0.8.3

In addition to the version bump, the file
metadata.xml has a new maintainer listed.

Signed-off-by: Josiah Mullins <JoMull01 <AT> protonmail.com>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/10354
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-im/toxic/Manifest           |  1 +
 net-im/toxic/metadata.xml       |  9 ++++-
 net-im/toxic/toxic-0.8.3.ebuild | 84 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 93 insertions(+), 1 deletion(-)

diff --git a/net-im/toxic/Manifest b/net-im/toxic/Manifest
index f309599e15a..8a0a28cd3b7 100644
--- a/net-im/toxic/Manifest
+++ b/net-im/toxic/Manifest
@@ -1,3 +1,4 @@
 DIST toxic-0.8.0.tar.gz 1145799 BLAKE2B 01dd14d28feac0aadd1e87d8538910601b532e8cb02219091a863502eb80f812a034eecf06f131ff878509dfc1eb40e5f9baf7547180346eeb03bdb7dea4a6ed SHA512 3c59edb61b1bcdbfa3a8391a1a1ceccc6c9c38b49c1709813d60480b180fb39607806116b9dcd1de35ebb02e23e95d78c8191f04a4875e06e27fa43bc9800b33
 DIST toxic-0.8.2.tar.gz 1146526 BLAKE2B 0a1c80313963287e88aa489ecf4614365a3d94c770cdfb3b1f3afd0bf2b70639c35b9c5ce52408647abdaac9822c9529b603ec1883779f5486ff63001d98ff5e SHA512 258e873404315c9a1f59d67f524089afebad88d800116bd9e53c8bc35bd9dd6b66cfcd90db06181f01330ba0a302456510fac5c01fdbfde7d475aa5d6b1070aa
+DIST toxic-0.8.3.tar.gz 1147100 BLAKE2B d73a861112aca65e54773c98473c2858bb81e63fef11212633e34dac9e87101956e3ab0d9d56757767bc5d48d1d5a406e550f8fc55ae34860dbc4977c94ee347 SHA512 c8d746efcc055592dd990dfa57415cc1eacaaa3b66303d7583d9f9e7e98b8829c8f1ae849f36a243c8896e99787dd2e493c92367de719b20a4a160bc7daea76e
 DIST toxic_patches-0.8.2.tar.gz 3859 BLAKE2B 4a19226cea6c7ce60f599fbd4f74171f26b3812259f0f8997997526bde7beb6fe64b922f25fe77e0ac8f9b185db116d2e626cb889631a1508786b92f9bbc8927 SHA512 737cc53e814567e10ad8b7431be63ab8f99b76bb150490c31e03309c4e51ee34a798d141cbde446cbbc4b5c0145ca468f3456a2af4b966c80792cdccc6562b46

diff --git a/net-im/toxic/metadata.xml b/net-im/toxic/metadata.xml
index d4103ec575a..0ba52a98e62 100644
--- a/net-im/toxic/metadata.xml
+++ b/net-im/toxic/metadata.xml
@@ -1,7 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<!-- maintainer-needed -->
+	<maintainer type="person">
+		<email>JoMull01@protonmail.com</email>
+		<name>Josiah Mullins</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
 	<upstream>
 		<maintainer>
 			<email>jfreegman@tox.chat</email>

diff --git a/net-im/toxic/toxic-0.8.3.ebuild b/net-im/toxic/toxic-0.8.3.ebuild
new file mode 100644
index 00000000000..016ea8247e8
--- /dev/null
+++ b/net-im/toxic/toxic-0.8.3.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_4 python3_5 python3_6 )
+
+inherit python-single-r1 xdg
+
+DESCRIPTION="A curses-based client for Tox"
+HOMEPAGE="https://github.com/JFreegman/toxic"
+SRC_URI="https://github.com/JFreegman/toxic/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="notification python qrcode +sound +video +X"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+	dev-libs/libconfig
+	>=net-libs/tox-0.2.8:*
+	net-misc/curl
+	sys-libs/ncurses:*
+	notification? ( x11-libs/libnotify )
+	python? ( ${PYTHON_DEPS} )
+	qrcode? ( media-gfx/qrencode )
+	sound? (
+		media-libs/freealut
+		media-libs/openal
+		net-libs/tox[av]
+	)
+	video? (
+		media-libs/libvpx
+		net-libs/tox[av]
+		x11-libs/libX11 )"
+
+DEPEND="
+	virtual/pkgconfig
+	${RDEPEND}"
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	#prevent man files from being compressed.
+	sed -i -e "/gzip/d" cfg/targets/install.mk || die "Unable to prevent compression of man pages."
+}
+
+src_configure() {
+	export USER_CFLAGS="${CFLAGS}"
+	export USER_LDFLAGS="${LDFLAGS}"
+	if ! use sound; then
+		export DISABLE_AV=1
+		export DISABLE_SOUND_NOTIFY=1
+	fi
+	if ! use video; then
+		export DISABLE_VI=1
+	fi
+	if ! use X; then
+		export DISABLE_X11=1
+	fi
+	if ! use notification; then
+		export DISABLE_DESKTOP_NOTIFY=1
+	fi
+	if ! use qrcode; then
+		export DISABLE_QRCODE=1
+		export DISABLE_QRPNG=1
+	fi
+	if use python; then
+		export ENABLE_PYTHON=1
+	fi
+	#set install directory to /usr.
+	sed -i -e "s,/usr/local,${EPREFIX}/usr,g" cfg/global_vars.mk || die "Failed to set install directory!"
+}
+
+src_install() {
+	default
+	if ! use sound; then
+		rm -r "${ED%/}"/usr/share/${PN}/sounds || die "Could not remove sounds directory"
+	fi
+}


             reply	other threads:[~2018-11-12 23:00 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-12 23:00 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-25 20:47 [gentoo-commits] repo/gentoo:master commit in: net-im/toxic/ Jimi Huotari
2025-01-25 20:47 Jimi Huotari
2024-11-22 15:43 Joonas Niilola
2024-11-21  6:45 Sam James
2024-07-30 19:09 Pacho Ramos
2024-07-30 19:09 Pacho Ramos
2024-07-30 19:09 Pacho Ramos
2024-07-30 19:09 Pacho Ramos
2023-12-18  7:13 Joonas Niilola
2023-12-18  4:51 Sam James
2023-04-10  8:10 Joonas Niilola
2023-04-10  8:10 Joonas Niilola
2021-12-10 22:17 Jakov Smolić
2021-12-10 16:26 Jakov Smolić
2021-08-24  8:50 Joonas Niilola
2021-08-24  8:50 Joonas Niilola
2021-06-10  8:13 Joonas Niilola
2021-01-02  0:49 Sam James
2021-01-02  0:49 Sam James
2020-12-16  8:29 Joonas Niilola
2020-12-16  8:29 Joonas Niilola
2020-12-16  8:29 Joonas Niilola
2020-09-04 20:53 Sam James
2020-07-17 15:17 Agostino Sarubbo
2020-07-17 15:05 Agostino Sarubbo
2020-06-08  7:46 Joonas Niilola
2020-06-08  7:46 Joonas Niilola
2018-12-09  8:43 Michał Górny
2018-08-12 16:58 Michał Górny
2017-12-13  9:03 Michael Palimaka
2017-12-12 21:46 Daniel Campbell
2017-09-28 22:11 Daniel Campbell
2017-08-30 17:19 Daniel Campbell
2017-02-24  1:06 Daniel Campbell
2017-02-22  9:21 Daniel Campbell
2016-12-19 20:17 Michał Górny
2016-10-28  8:00 Daniel Campbell

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1542063627.ddbfa787104b8565ec2ee3050ca2dbe972c626d9.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox